import request from '@/utils/request'

// 查询仪器列表
export function listInstrument(query) {
  return request({
    url: '/check/instrument/list',
    method: 'get',
    params: query
  })
}

// 查询仪器详细
export function getInstrument(id) {
  return request({
    url: '/check/instrument/' + id,
    method: 'get'
  })
}

export function getAllInstrument() {
  return request({
    url: '/check/instrument/allInstrument',
    method: 'get'
  })
}

// 新增仪器
export function addInstrument(data) {
  return request({
    url: '/check/instrument',
    method: 'post',
    data: data
  })
}

// 修改仪器
export function updateInstrument(data) {
  return request({
    url: '/check/instrument',
    method: 'put',
    data: data
  })
}

// 删除仪器
export function delInstrument(id) {
  return request({
    url: '/check/instrument/' + id,
    method: 'delete'
  })
}
